List agents

This endpoint returns all registered agents.

GET /Agent

This endpoint returns all registered agents.

Authentication

Authentication required. Send your user API key in the X-API-Key header.

Parameters

NameLocationTypeRequiredDescriptionConstraints
agentTypequeryAgentTypeNo0 = ZildAssist; 1 = ZildFlow; 2 = ZildInsightChat; 3 = ZildChat; 4 = ZildDocs; 5 = ZildVoice; 6 = ZildCoach; 7 = ZildInsightChecklist—
isChatquerybooleanNo——
descriptionquerystringNo——
createdByUserIdqueryinteger · int32No——
getDefaultAgentsquerybooleanNo——
includeGlobalAgentsquerybooleanNo——

Request body

This operation does not accept a request body.

Example request

curl --request GET \
  --url 'https://api.zild.ai/Agent?agentType={agentType}&isChat={isChat}&description={description}&createdByUserId={createdByUserId}&getDefaultAgents={getDefaultAgents}&includeGlobalAgents={includeGlobalAgents}' \
  --header 'X-API-Key: YOUR_USER_API_KEY'

Responses

StatusDescriptionResponse body
200Successfully returned agentsapplication/json · array<AgentDto>

Example response (200):

[
  {
    "id": 0,
    "name": "string",
    "description": "string",
    "agentType": 0,
    "agentFilesDtos": [
      {
        "id": "string",
        "fileName": "string"
      }
    ],
    "enabled": true,
    "isChat": true,
    "instructions": "string",
    "model": "string",
    "responseFormat": "string",
    "vectorStoreId": "string",
    "agentAIType": 0,
    "temperature": 0,
    "topP": 0,
    "integrationAgentId": "string",
    "language": 0,
    "dynamicVariables": [
      {
        "id": 0,
        "name": "string",
        "value": "string",
        "agentId": 0
      }
    ],
    "dataCollection": [
      {
        "id": 0,
        "name": "string",
        "value": "string",
        "agentId": 0
      }
    ],
    "communicationChannel": 0,
    "firstMessage": "string",
    "checklistId": 0,
    "queueId": 0,
    "createdAt": "2026-09-22T18:00:00Z",
    "voiceId": "string",
    "voiceModel": "string",
    "voiceSpeed": 0,
    "voiceTemperature": 0,
    "volume": 0,
    "phoneNumberId": "string",
    "phoneNumberType": 0,
    "customToolsIds": [
      "string"
    ],
    "builtInTools": {
      "endCall": {
        "name": "string",
        "params": {
          "systemToolType": "string"
        }
      },
      "transferToNumber": {
        "name": "string",
        "params": {
          "transfers": [
            null
          ]
        }
      }
    },
    "maxDurationSeconds": 0,
    "elevenLabsReasoningEffort": "string",
    "elevenLabsMaxTokens": 0,
    "elevenLabsAsrProvider": "string",
    "elevenLabsTurnEagerness": "string",
    "elevenLabsSpellingPatience": "string",
    "elevenLabsTurnTimeout": 0,
    "elevenLabsSilenceEndCallTimeout": 0,
    "groupAgents": [
      {
        "id": 0,
        "groupId": 0,
        "agentId": 0,
        "permissionType": 0,
        "createdAt": "2026-09-22T18:00:00Z",
        "tenantId": 0
      }
    ],
    "currentUserPermission": 0,
    "agentCategoryId": 0,
    "logoIconUrl": "string",
    "webhookIds": [
      0
    ],
    "createdByUserId": 0,
    "ownedByUserId": 0,
    "defaultQuestions": [
      "string"
    ],
    "agentKnowledgeIds": [
      0
    ],
    "agentSkillIds": [
      0
    ]
  }
]

Data models

AgentAIType

0 = AzureOpenAI; 1 = OpenAI; 2 = RetellAI; 3 = ElevenLabs; 4 = Lovable; 5 = n8n; 6 = Aws; 7 = MicrosoftCopilot; 8 = GoogleGemini; 9 = AnthropicClaude; 10 = Alteryx

integer

AgentDataCollectionDto
PropertyTypeRequiredDescriptionConstraints
idinteger · int32No——
namestringNo—nullable
valuestringNo—nullable
agentIdinteger · int32No——
AgentDto
PropertyTypeRequiredDescriptionConstraints
idinteger · int32No——
namestringNo—nullable
descriptionstringNo—nullable; maxLength: 500
agentTypeAgentTypeNo——
agentFilesDtosarray<AgentFilesDto>No—nullable
enabledbooleanNo——
isChatbooleanNo——
instructionsstringNo—nullable
modelstringNo—nullable
responseFormatstringNo—nullable
vectorStoreIdstringNo—nullable
agentAITypeAgentAITypeNo——
temperaturenumber · doubleNo—nullable
topPnumber · doubleNo—nullable
integrationAgentIdstringNo—nullable
languageLanguageNo——
dynamicVariablesarray<AgentDynamicVariableDto>No—nullable
dataCollectionarray<AgentDataCollectionDto>No—nullable
communicationChannelCommunicationChannelNo——
firstMessagestringNo—nullable; maxLength: 1000
checklistIdinteger · int32No——
queueIdinteger · int32No——
createdAtstring · date-timeNo——
voiceIdstringNo—nullable
voiceModelstringNo—nullable
voiceSpeednumber · doubleNo——
voiceTemperaturenumber · doubleNo——
volumenumber · doubleNo——
phoneNumberIdstringNo—nullable
phoneNumberTypePhoneNumberTypeNo——
customToolsIdsarray<string>No—nullable
builtInToolsBuiltInToolsDtosNo——
maxDurationSecondsinteger · int32No——
elevenLabsReasoningEffortstringNo—nullable
elevenLabsMaxTokensinteger · int32No——
elevenLabsAsrProviderstringNo—nullable
elevenLabsTurnEagernessstringNo—nullable
elevenLabsSpellingPatiencestringNo—nullable
elevenLabsTurnTimeoutnumber · doubleNo——
elevenLabsSilenceEndCallTimeoutnumber · doubleNo——
groupAgentsarray<GroupAgentDto>No—nullable
currentUserPermissionAgentPermissionTypeNo——
agentCategoryIdinteger · int32No——
logoIconUrlstringNo—nullable; maxLength: 2000
webhookIdsarray<integer · int32>No—nullable
createdByUserIdinteger · int32No——
ownedByUserIdinteger · int32No——
defaultQuestionsarray<string>No—nullable
agentKnowledgeIdsarray<integer · int32>No—nullable
agentSkillIdsarray<integer · int32>No—nullable
AgentDynamicVariableDto
PropertyTypeRequiredDescriptionConstraints
idinteger · int32No——
namestringNo—nullable
valuestringNo—nullable
agentIdinteger · int32No——
AgentFilesDto
PropertyTypeRequiredDescriptionConstraints
idstringNo—nullable
fileNamestringNo—nullable
AgentPermissionType

0 = View; 1 = Edit

integer

AgentType

0 = ZildAssist; 1 = ZildFlow; 2 = ZildInsightChat; 3 = ZildChat; 4 = ZildDocs; 5 = ZildVoice; 6 = ZildCoach; 7 = ZildInsightChecklist

integer

BuiltInToolsDtos
PropertyTypeRequiredDescriptionConstraints
endCallEndCallNo——
transferToNumberTransferToNumberNo——
CommunicationChannel

0 = Default; 1 = WhatsApp; 2 = Telefonia; 3 = Email; 4 = WebChat; 5 = InstagramDirectMessage; 6 = FacebookMessenger; 7 = MicrosoftTeams; 8 = ZildCoach

integer

EndCall
PropertyTypeRequiredDescriptionConstraints
namestringNo—nullable
paramsEndCallParamsNo——
EndCallParams
PropertyTypeRequiredDescriptionConstraints
systemToolTypestringNo—nullable
GroupAgentDto
PropertyTypeRequiredDescriptionConstraints
idinteger · int32No——
groupIdinteger · int32No——
agentIdinteger · int32No——
permissionTypeAgentPermissionTypeNo——
createdAtstring · date-timeNo——
tenantIdinteger · int32No——
Language

0 = PtBr; 1 = EnUS; 2 = EsES; 3 = FrFR; 4 = DeDE; 5 = ItIT; 6 = ZhCN; 7 = ZhTW; 8 = JaJP; 9 = KoKR; 10 = RuRU; 11 = ArSA; 12 = HiIN; 13 = NlNL; 14 = PlPL; 15 = TrTR; 16 = ViVN; 17 = ThTH; 18 = IdID; 19 = SvSE

integer

PhoneNumberType

0 = Twilio; 1 = SipTrunk

integer

TransferDestination
PropertyTypeRequiredDescriptionConstraints
phoneNumberstringNo—nullable
sipUristringNo—nullable
typestringNo—nullable
TransferItem
PropertyTypeRequiredDescriptionConstraints
conditionstringNo—nullable
transferDestinationTransferDestinationNo——
transferTypestringNo—nullable
TransferParams
PropertyTypeRequiredDescriptionConstraints
transfersarray<TransferItem>No—nullable
TransferToNumber
PropertyTypeRequiredDescriptionConstraints
namestringNo—nullable
paramsTransferParamsNo——